
Hammer CLI - Feature #8016

Ability to use tokenized authentication to hammer in lieu of username/password in configuration file.

10/21/2014 11:45 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: Hammer core   

Target version: hammer-cli-foreman-0.9.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1154382 In Kanboard:  

Pull request: https://github.com/theforeman/hammer-cl

i/pull/227,

https://github.com/theforeman/hammer-cl

i-foreman/pull/269

Red Hat JIRA:  

Team Backlog:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1154382

Description of problem:

This RFE requests the ability to configure hammer with either

a token for login that is separate from the username/pass OR

a session based credential cache so that the user can be prompted for login once at the beginning of their CLI session.

The goal is to keep the user from placing an administrative username/password within hammer's configuration file, in cleartext.

Version-Release number of selected component (if applicable):

rubygem-hammer_cli-0.1.1-12.el6sat.noarch

How reproducible:

Steps to Reproduce:

1.

2.

3.

Actual results:

Expected results:

Additional info:

Related issues:

Related to Foreman - Feature #1301: Consider adding a per-user API key Closed

Related to Hammer CLI - Feature #13602: OAuth Support for Hammer Closed

Related to Foreman - Feature #17487: Allow sessions for API calls Closed 11/25/2016

Related to Hammer CLI CSV - Bug #17624: session api breaks hammer csv Closed 12/10/2016

Related to Hammer CLI - Bug #17650: Basic authentication overrides any error ... Closed 12/13/2016

Has duplicate Hammer CLI - Feature #8888: hammer auth should support token ba... Closed

Blocks Hammer CLI - Feature #8923: Ability to use Negotiate/Kerberos authenti... Closed

Associated revisions

Revision 49b9d453 - 12/09/2016 12:58 PM - Tomáš Strachota

Fixes #8016 - api connection moved to context (#227)

- connection moved to context

- connection is now instance, not class
- dependency injection for connection and connectors

Revision ce9ede29 - 12/09/2016 04:03 PM - Tomas Strachota 

Fixes #8016 - Session auth in hammer (#269)

- api connection moved to a separate object

- credentials moved to InteractiveBasicAuth

- new SessionAuthenticatorWrapper for handling api sessions

- sessions turned off by default

History

#1 - 10/21/2014 11:46 AM - Dominic Cleal

- Related to Feature #1301: Consider adding a per-user API key added

#2 - 10/21/2014 11:47 AM - Dominic Cleal

- Category set to Hammer core

#3 - 01/12/2015 03:58 AM - Tomáš Strachota

- Has duplicate Feature #8888: hammer auth should support token based authentication added

#4 - 01/13/2015 07:25 AM - Jan Pazdziora

- Blocks Feature #8923: Ability to use Negotiate/Kerberos authentication to API and hammer added

#5 - 02/08/2016 10:17 AM - Dominic Cleal

- Related to Feature #13602: OAuth Support for Hammer added

#6 - 09/29/2016 07:02 AM - Tomáš Strachota

- Target version set to 115

#7 - 09/30/2016 04:42 AM - Marek Hulán

- Assignee set to Tomáš Strachota

- Target version changed from 115 to 1.5.0

as we discussed yesterday, storing session ID might be enough, hammer would fallback to username/password credentials if session expired or no

session was stored

#8 - 10/11/2016 08:39 AM - Tomáš Strachota

- Status changed from New to Assigned

#9 - 10/18/2016 10:31 AM - Marek Hulán

- Target version changed from 1.5.0 to 1.4.2

#10 - 11/08/2016 09:35 AM - Marek Hulán

- Target version changed from 1.4.2 to 1.4.4

#11 - 11/24/2016 07:22 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/hammer-cli/pull/227 added

#12 - 11/24/2016 07:24 AM - The Foreman Bot

- Pull request https://github.com/theforeman/hammer-cli-foreman/pull/269 added

#13 - 11/25/2016 08:06 AM - Tomáš Strachota

- Related to Feature #17487: Allow sessions for API calls added

#14 - 11/29/2016 08:53 AM - Marek Hulán

- Target version changed from 1.4.4 to 1.10.1
#15 - 12/09/2016 01:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 49b9d453c92990486ac719b9e8194e42e3bbf7c6.

#16 - 12/10/2016 03:24 PM - Thomas McKay

- Related to Bug #17624: session api breaks hammer csv added

#17 - 12/13/2016 04:04 AM - Tomáš Strachota

- Related to Bug #17650: Basic authentication overrides any error with "Invalid username or password" added

#18 - 03/14/2017 11:11 AM - Tomáš Strachota

- translation missing: en.field_release set to 235

#19 - 03/14/2017 11:17 AM - Tomáš Strachota

- translation missing: en.field_release changed from 235 to 236
